/*
 * ==========================================================================================
 * interf.h
 *
 * Date: 09 July 2003
 * Author: Jerome Delamarche
 * Version: 2.0 
 * ------------------------------------------------------------------------------------------
 *
 * Interface for sysstat.c functions
 *
 * ------------------------------------------------------------------------------------------
 * CHANGES:
 *
 * ------------------------------------------------------------------------------------------
 * TODO:
 *
 * ==========================================================================================
 */
#ifndef _include_sysstat2_h_
#define _include_sysstat2_h_

/* all percentage are given on a 1000 basis */

typedef struct {
	/* proc stats */
	int	zombie;		/* count of zombie process */
	int	running;	/* count of running process */
	int	stopped;	/* count of stopped process */
	int	sleeping;	/* count of sleeping process */
	int	avgload;	/* average CPU load (base 1000) */

	/* mem stats: */
	int	memuse;		/* percentage of used memory (base 1000) */
	int	swapuse;	/* percentage of used swap (base 1000) */
} sysstat2_t;

#endif

/* EOF */
